> ## Documentation Index
> Fetch the complete documentation index at: https://pulze.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document



## OpenAPI

````yaml put /v1/apps/{app_id}/documents/{document_id}
openapi: 3.1.0
info:
  title: Pulze.ai API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/apps/{app_id}/documents/{document_id}:
    put:
      tags:
        - apps
      summary: Update Document
      operationId: update_document_v1_apps__app_id__documents__document_id__put
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: App Id
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Document Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentUpdateRequest:
      properties:
        version_number:
          type: integer
          title: Version Number
        content:
          items:
            type: object
          type: array
          title: Content
      type: object
      required:
        - version_number
        - content
      title: DocumentUpdateRequest
    DocumentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        app_id:
          type: string
          format: uuid
          title: App Id
        auth0_id:
          type: string
          title: Auth0 Id
        request_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Request Id
        title:
          type: string
          title: Title
        added_on:
          type: string
          format: date-time
          title: Added On
      type: object
      required:
        - id
        - app_id
        - auth0_id
        - title
        - added_on
      title: DocumentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````